<?php
//
// CheezCap - Cheezburger Custom Administration Panel
// (c) 2008 - 2010 Cheezburger Network (Pet Holdings, Inc.)
// LOL: http://cheezburger.com
// Source: http://code.google.com/p/cheezcap/
// Authors: Kyall Barrows, Toby McKes, Stefan Rusek, Scott Porad
// License: GNU General Public License, version 2 (GPL), http://www.gnu.org/licenses/gpl-2.0.html
//

$themename = "Theme";	// used on the title of the custom admin page

function cap_get_options()
{
	$pages = get_pages();
	$option = Array();
	$option[0] = "All pages";
	$i = 1;
	foreach ($pages as $pagg) {
		$option[$i] = $pagg->post_title;
	$i++;
	}
	$option_pages = $option;

	$args = array('echo' => '0','hide_empty' => '0');
	$categories = get_categories($args);
    $option = Array();
	$option[0] = "All categories";
	$i = 1;
	foreach($categories as $category) { 
	$option[$i] = $category->name;
	$i++;
	}
    $option_categories = $option;
	return array(
		new Group ("General Appearance", "general",
			array(
					new DropdownOption("Colour scheme", "Select the colour scheme of your website", "style_css", array('light', 'dark')),
					new DropdownOption("Sidebars", "Where do you like to have your sidebars?", "sidebar_position", array('left and right', 'right', 'left')),
					new TextOption("Background colour", "Change background colour", "bg_body_color", ""),
					new TextOption("Container colour", "Change background colour of the inner part of your website", "bg_container_color", ""),
					new TextOption("Font colour", "Change font colour", "font_color", ""),
					new TextOption("Title colour", "Change title colour", "title_color", ""),
					new TextOption("Link colour", "Change link colour", "link_color", ""),
					new DropdownOption("Show excerpts", "Just for category and archive views: use excerpts or show full content of your posts", "excerpt_on", array('content', 'excerpt')),
					new TextOption("Excerpt length", "Change the excerpt length, default is 30 words", "excerpt_length", ""),
					)			
			)
			,
		new Group ("Header", "header",
			array(
					new TextOption("Header height / navigation position", "Your general header height in px (and navigation position[y] at the same time), just enter a number. <br>
					This is not your image height, you can specify your header image seperately in the fields below. <br>
					Try 25px or 63px less than your header-image-height to fit perfectly", "header_height", ""),
					new TextOption("Header image width", "Header IMAGE width in px, just enter a number.<br>
					After you changed the settings, you have to upload the header image again.", "header_img_width", ""),
					new TextOption("Header image height", "Header IMAGE height in px, just enter a number.<br>
					After you changed the settings, you have to upload the header image again.", "header_img_height", ""),
					new BooleanOption("Header image repeat", "Repeat the header image? (horizontally)", "header_img_repeat", true),
					new DropdownOption("Header image x-position", "If header image is smaller, you can choose to align left, center or right", "header_img_x", array('left', 'center', 'right')),
					new TextOption("Header image y-position", "Distance from header image to top (in px), just enter a number", "header_img_y", ""),
					new BooleanOption("Show search bar", "enable Buddypress search bar in header", "menue_enable_search", true),
					new DropdownOption("Search bar x-position", "If selected, you want the search bar left or right?", "searchbar_x", array('right', 'left')),
					new TextOption("Search bar y-position", "Distance from search bar to top (in px), just enter a number", "searchbar_y", ""),
  				  )
			),
		new Group ("Menu", "menu",
			array(
					new BooleanOption("Show community navigation", "Enable Buddypress menu-items in the main navigation", "menue_enable_community", true),
					new DropdownOption("Menu x-position", "Align the menu left or right", "menu_x", array('left', 'right')),
					new TextOption("Menu font colour", "Change menu font colour", "menue_link_color", ""),
					new TextOption("Menu font colour &raquo; current and mouse over", "Change menu font colour from currently displayed menu item <br>
					or when mouse moves over", "menue_link_color_current", ""),
					new TextOption("Menu background colour", "Change menu's general background colour", "bg_menue_link_color", ""),
					new TextOption("Menu background colour &raquo; current", "Change background colour from currently displayed menu item", "bg_menue_link_color_current", ""),
					new TextOption("Menu background colour &raquo; mouse over and drop down list", "Change a menu item's background colour when mouse moves over it, <br>
					and drop down background colour", "bg_menue_link_color_hover", ""),	
					new TextOption("Menu background colour &raquo; drop down list mouse over effect", "Change background colour of drop down menu item when the mouse moves over it", "bg_menue_link_color_dd_hover", ""),
					new DropdownOption("Menu corner radius", "Choose if you want all corners rounded or just the bottom ones", "menu_radius", array('the bottom ones', 'all corners')),
					)
			),
		new Group ("Buddypress", "buddypress",
			array(
					new BooleanOption("Use Buddypress default sub-navigation", " This sub-navigation is the secondary level navigation, <br>
					e.g. for profile it contains: [Public, Edit Profile, Change Avatar]<br>
					If you use the community navigation widget, you don't need this navigation. <br>
					If you want to use the Buddypress default sub-navigation - which is horizontally - turn it on.", "bp_default_navigation", true),
					new DropdownOption("Login sidebar", "Turn Buddypress login in the sidebar on/off.", "login_sidebar", array('on', 'off')),
				)
			),
		new Group ("Overwrite CSS", "overwrite",
			array(			
					new TextOption("Overwrite CSS", "This is your place to overwrite existing CSS.<br>
					This way you are able to customize even the smallest CSS details. <br>
					If you know how to write, you can play around a bit!<br>
					<br> 
					Here's an example how to change your body background picture:<br>
					<br>
					body {<br>
					background-image:url(url-to-your-picture);<br>
					}<br>
					<br>
					<br><br><br><br><br><br><br><br><br><br>", "overwrite_css", "", true),
				)
			),		
		new Group ("Slideshow", "slideshow",
			array(			
					new BooleanOption("Enable slideshow on homepage", "Works only for the automatically generated homepage", "enable_slideshow_home", true),			
					new DropdownOption("Slideshow content", "The slideshow takes images, titles and text-excerpts of the last 4 posts.<br>
					You can select the category the posts should be taken from.", "slideshow_cat", $option_categories),
			)
		),	
	);
}


?>