<?php
require_once('admin/cheezcap.php');

global $content_width, $cap;

### Define Content with
$content_width  = "670";
if($cap->sidebar_position == "left and right"){
	$content_width  = "432";
}

### Add Post Thumbnails
if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 250, 170, true ); // Normal post thumbnails
	add_image_size( 'slider-thumbnail', 80, 50, true ); // Permalink thumbnail size
	add_image_size( 'slider-full', 756, 250, true  ); // Permalink thumbnail size
	add_image_size( 'post-thumbnails', 222, 160, true  ); // Site template post-thumbnails
	add_image_size( 'single-post-thumbnail', 598, 448 ); // Permalink thumbnail size
}

### Define excerpt length

function new_excerpt_length() {
	global $cap;
	$excerpt_length = 30;
	if($cap->excerpt_length){
		$excerpt_length = $cap->excerpt_length;
	}
	return $excerpt_length;
}

function slide1_excerpt_length() {
	return 30;
}

add_filter('excerpt_length', 'new_excerpt_length');


### Add Sidebars
if(defined('BP_VERSION')){
	register_sidebars( 1,
		array(
			'name' => 'left sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widgettitle">',
			'after_title' => '</h3>'
		)
		
	);
} else {
register_sidebars( 1,
	array(
		'name'          => 'Sidebar',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>'
	)
);
	register_sidebars( 1,
		array(
			'name' => 'left sidebar',
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widgettitle">',
			'after_title' => '</h3>'
		)
	);
}
## This theme uses wp_nav_menu() in one location.
register_nav_menus( array(
	'primary' => __( 'Primary Navigation', 'buddypress' ),
) );

### add css and js
add_action('admin_head','cc_css_admin');  
add_action('init', 'cc_js_admin');
add_action('wp_enqueue_scripts', 'cc_js_site');

### add css for the admin option page
function cc_css_admin() {
    if( isset($_GET['page']) && $_GET['page'] == 'cheezcap.php' ) {
		echo '<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.0/themes/base/jquery-ui.css" rel="stylesheet" />';
	}
}

### enqueue js for the admin option page
function cc_js_admin() {

    if( ! isset( $_GET['page'] ) )
        return;

    if( $_GET['page'] == 'cheezcap.php' ) {
		wp_register_script('my-jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', false, '1.3.2');
		wp_register_script('my-jquery-ui', 'https://ajax.googleapis.com/ajax/libs/jqueryui/1.7.1/jquery-ui.min.js',false,'1.7.1');
		wp_enqueue_script( 'my-jquery' );
		wp_enqueue_script( 'my-jquery-ui' );
    }
    
}

### enqueue js for the slider1
 function cc_js_site() {
 global $cap, $cc_page_otions;
 
 
 wp_enqueue_script( 'jquery' );
     if( isset( $_GET['page'] ) )
        return;
    if(defined('BP_VERSION')){ 
	 	if($cap->enable_slideshow_home == true && is_home() || $cap->enable_slideshow_home == true && is_front_page() || $cap->enable_slideshow_home == true && bp_is_activity_front_page() || is_page() && isset($cc_page_options) && $cc_page_otions['cc_page_slider_on'] == 1){
			wp_register_script('my-jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', false, '1.3.2');
			wp_register_script('my-jquery-ui-site', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.5.3/jquery-ui.min.js',false,'1.5.3');
			wp_enqueue_script( 'my-jquery' );
			wp_enqueue_script( 'my-jquery-ui-site' );
	 	} 
    } elseif($cap->enable_slideshow_home == true && is_home() || $cap->enable_slideshow_home == true && is_front_page() || is_page() && isset($cc_page_options) && $cc_page_otions['cc_page_slider_on'] == 1){
			wp_register_script('my-jquery', 'https://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js', false, '1.3.2');
			wp_register_script('my-jquery-ui-site', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.5.3/jquery-ui.min.js',false,'1.5.3');
			wp_enqueue_script( 'my-jquery' );
			wp_enqueue_script( 'my-jquery-ui-site' );
	}
 }
 
### widget for the community navigation
function widget_community_nav() {
?>
  <?php if ( bp_is_page( BP_ACTIVITY_SLUG ) || (bp_is_page( BP_MEMBERS_SLUG ) || bp_is_member()) || (bp_is_page( BP_GROUPS_SLUG ) || bp_is_group()) || bp_is_page( BP_FORUMS_SLUG ) || bp_is_page( BP_BLOGS_SLUG ) ) { ?>
  		<div id="community-nav" class="widget-title" >
  					<ul class="item-list">
          <h3 class="widgettitle"><?php _e( 'Community', 'buddypress' ) ?></h3>
					
  					<?php if ( 'activity' != bp_dtheme_page_on_front() && bp_is_active( 'activity' ) ) : ?>
					<li<?php if ( bp_is_page( BP_ACTIVITY_SLUG ) ) : ?> class="selected"<?php endif; ?>>
						<a href="<?php echo site_url() ?>/<?php echo BP_ACTIVITY_SLUG ?>/" title="<?php _e( 'Activity', 'buddypress' ) ?>"><?php _e( 'Activity', 'buddypress' ) ?></a>
					</li>
				<?php endif; ?>

				<li<?php if ( bp_is_page( BP_MEMBERS_SLUG ) || bp_is_member() ) : ?> class="selected"<?php endif; ?>>
					<a href="<?php echo site_url() ?>/<?php echo BP_MEMBERS_SLUG ?>/" title="<?php _e( 'Members', 'buddypress' ) ?>"><?php _e( 'Members', 'buddypress' ) ?></a>
				</li>

				<?php if ( bp_is_active( 'groups' ) ) : ?>
					<li<?php if ( bp_is_page( BP_GROUPS_SLUG ) || bp_is_group() ) : ?> class="selected"<?php endif; ?>>
						<a href="<?php echo site_url() ?>/<?php echo BP_GROUPS_SLUG ?>/" title="<?php _e( 'Groups', 'buddypress' ) ?>"><?php _e( 'Groups', 'buddypress' ) ?></a>
					</li>

					<?php if ( bp_is_active( 'forums' ) && ( function_exists( 'bp_forums_is_installed_correctly' ) && !(int) bp_get_option( 'bp-disable-forum-directory' ) ) && bp_forums_is_installed_correctly() ) : ?>
						<li<?php if ( bp_is_page( BP_FORUMS_SLUG ) ) : ?> class="selected"<?php endif; ?>>
							<a href="<?php echo site_url() ?>/<?php echo BP_FORUMS_SLUG ?>/" title="<?php _e( 'Forums', 'buddypress' ) ?>"><?php _e( 'Forums', 'buddypress' ) ?></a>
						</li>
					<?php endif; ?>
				<?php endif; ?>
				<?php if ( bp_is_active( 'blogs' ) && bp_core_is_multisite() ) : ?>
					<li<?php if ( bp_is_page( BP_BLOGS_SLUG ) ) : ?> class="selected"<?php endif; ?>>
						<a href="<?php echo site_url() ?>/<?php echo BP_BLOGS_SLUG ?>/" title="<?php _e( 'Blogs', 'buddypress' ) ?>"><?php _e( 'Blogs', 'buddypress' ) ?></a>
					</li>
				<?php endif; ?>
  			   </ul>
    </div>				
   <?php } if( bp_is_single_item() || bp_is_member() ) {
   include("sidebar-community.inc.php");   
   } ?>

<?php
}
if ( function_exists('widget_community_nav') )
    wp_register_sidebar_widget( 'widget_community_nav', 'Simple WP Community Navigation', 'widget_community_nav', '' );


/****
 * Custom header image support. You can remove this entirely in a child theme by adding this line
 * to your functions.php: define( 'BP_DTHEME_DISABLE_CUSTOM_HEADER', true );
 */
define( 'BP_DTHEME_DISABLE_CUSTOM_HEADER', true );
function custom_community_header_support() {
global $cap;
	/* Set the defaults for the custom header image (http://ryan.boren.me/2007/01/07/custom-image-header-api/) */
	define( 'HEADER_TEXTCOLOR', 'FFFFFF' );
	define( 'HEADER_IMAGE', get_bloginfo('stylesheet_directory').'/images/default-header.jpg' ); // %s is theme dir uri


	if($cap->header_img_width){
		define( 'HEADER_IMAGE_WIDTH', $cap->header_img_width );
	} else {
		define( 'HEADER_IMAGE_WIDTH', 1033 );
	}
	if($cap->header_img_height){
		define( 'HEADER_IMAGE_HEIGHT', $cap->header_img_height );
	} else {
		define( 'HEADER_IMAGE_HEIGHT', 233 );
	}
	function bp_dtheme_header_style() { 
	global $cap;?>
	
		<style type="text/css">
			#header { background-image: url(<?php header_image() ?>); 	
				<?php if($cap->header_img_repeat == false ){?>
					background-repeat:no-repeat;
				<?php }?> 
				<?php if($cap->header_img_x == 'center' ){?>
					background-position: center <?php if($cap->header_img_y){ echo $cap->header_img_y; } else { echo '0'; }?>px;
				<?php } elseif($cap->header_img_x == 'right' ){?>
					background-position: right <?php if($cap->header_img_y){ echo $cap->header_img_y; } else { echo '0'; }?>px;
				<?php }?>  
				<?php if((!$cap->header_img_x || $cap->header_img_x == 'left') && $cap->header_img_y){?>
					background-position: left <?php echo $cap->header_img_y ?>px;
				<?php } ?>
			}
			<?php if ( 'blank' == get_header_textcolor() ) { ?>
				#header h1, #header #desc { 
					display: none; 
				}
			<?php } else { ?>
				#header h1 a, #desc { 
					color:#<?php header_textcolor() ?>; 
				}
			<?php } ?>
		</style>
	<?php
	}

	function bp_dtheme_admin_header_style() { ?>
		<style type="text/css">
			#headimg {
				position: relative;
				color: #fff;
				background: url(<?php header_image() ?>);
				-moz-border-radius-bottomleft: 6px;
				-webkit-border-bottom-left-radius: 6px;
				-moz-border-radius-bottomright: 6px;
				-webkit-border-bottom-right-radius: 6px;
				margin-bottom: 12px;
				height: 100px;
				padding-top: 25px;
			}

			#headimg h1{
				position: absolute;
				bottom: 15px;
				left: 15px;
				width: 44%;
				margin: 0;
				font-family: Arial, Tahoma, sans-serif;
			}
			#headimg h1 a{
				color:#<?php header_textcolor() ?>;
				text-decoration: none;
				border-bottom: none;
			}
			#headimg #desc{
				color:#<?php header_textcolor() ?>;
				font-size:1em;
				margin-top:-0.5em;
			}

			#desc {
				display: none;
			}

			<?php if ( 'blank' == get_header_textcolor() ) { ?>
			#headimg h1, #headimg #desc {
				display: none;
			}
			#headimg h1 a, #headimg #desc {
				color:#<?php echo HEADER_TEXTCOLOR ?>;
			}
			<?php } ?>
		</style>
	<?php
	}
	add_custom_image_header( 'bp_dtheme_header_style', 'bp_dtheme_admin_header_style' );
}
	add_action( 'init', 'custom_community_header_support' );
	
if(defined('BP_VERSION')) {

	// Load the AJAX functions for the theme
	require_once( TEMPLATEPATH . '/_inc/ajax.php' );
	
	// Load the javascript for the theme
	wp_enqueue_script( 'dtheme-ajax-js', get_template_directory_uri() . '/_inc/global.js', array( 'jquery' ) );
	
	// Add words that we need to use in JS to the end of the page so they can be translated and still used.
	$params = array(
		'my_favs'           => __( 'My Favorites', 'buddypress' ),
		'accepted'          => __( 'Accepted', 'buddypress' ),
		'rejected'          => __( 'Rejected', 'buddypress' ),
		'show_all_comments' => __( 'Show all comments for this thread', 'buddypress' ),
		'show_all'          => __( 'Show all', 'buddypress' ),
		'comments'          => __( 'comments', 'buddypress' ),
		'close'             => __( 'Close', 'buddypress' ),
		'mention_explain'   => sprintf( __( "%s is a unique identifier for %s that you can type into any message on this site. %s will be sent a notification and a link to your message any time you use it.", 'buddypress' ), '@' . bp_get_displayed_user_username(), bp_get_user_firstname( bp_get_displayed_user_fullname() ), bp_get_user_firstname( bp_get_displayed_user_fullname() ) )
	);
	wp_localize_script( 'dtheme-ajax-js', 'BP_DTheme', $params );
	
	/**
	 * Add the JS needed for blog comment replies
	 *
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_add_blog_comments_js() {
		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
	}
	add_action( 'template_redirect', 'cc_bp_dtheme_add_blog_comments_js' );
	
	/**
	 * HTML for outputting blog comments as defined by the WP comment API
	 *
	 * @param mixed $comment Comment record from database
	 * @param array $args Arguments from wp_list_comments() call
	 * @param int $depth Comment nesting level
	 * @see wp_list_comments()
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_blog_comments( $comment, $args, $depth ) {
		$GLOBALS['comment'] = $comment; ?>
	
		<?php if ( 'pingback' == $comment->comment_type ) return false; ?>
	
		<li id="comment-<?php comment_ID(); ?>">
			<div class="comment-avatar-box">
				<div class="avb">
					<a href="<?php echo get_comment_author_url() ?>" rel="nofollow">
						<?php if ( $comment->user_id ) : ?>
							<?php echo bp_core_fetch_avatar( array( 'item_id' => $comment->user_id, 'width' => 50, 'height' => 50, 'email' => $comment->comment_author_email ) ); ?>
						<?php else : ?>
							<?php echo get_avatar( $comment, 50 ) ?>
						<?php endif; ?>
					</a>
				</div>
			</div>
	
			<div class="comment-content">
	
				<div class="comment-meta">
					<a href="<?php echo get_comment_author_url() ?>" rel="nofollow"><?php echo get_comment_author(); ?></a> <?php _e( 'said:', 'buddypress' ) ?>
					<em><?php _e( 'On', 'buddypress' ) ?> <a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date() ?></a></em>
				</div>
	
				<?php if ( $comment->comment_approved == '0' ) : ?>
				 	<em class="moderate"><?php _e('Your comment is awaiting moderation.'); ?></em><br />
				<?php endif; ?>
	
				<?php comment_text() ?>
	
				<div class="comment-options">
					<?php echo comment_reply_link( array('depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ?>
					<?php edit_comment_link( __( 'Edit' ),'','' ); ?>
				</div>
	
			</div>
	<?php
	}
	
	/**
	 * Filter the dropdown for selecting the page to show on front to include "Activity Stream"
	 *
	 * @param string $page_html A list of pages as a dropdown (select list)
	 * @see wp_dropdown_pages()
	 * @return string
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_wp_pages_filter( $page_html ) {
		if ( !bp_is_active( 'activity' ) )
			return $page_html;
	
		if ( 'page_on_front' != substr( $page_html, 14, 13 ) )
			return $page_html;
	
		$selected = false;
		$page_html = str_replace( '</select>', '', $page_html );
	
		if ( bp_dtheme_page_on_front() == 'activity' )
			$selected = ' selected="selected"';
	
		$page_html .= '<option class="level-0" value="activity"' . $selected . '>' . __( 'Activity Stream', 'buddypress' ) . '</option></select>';
		return $page_html;
	}
	add_filter( 'wp_dropdown_pages', 'cc_bp_dtheme_wp_pages_filter' );
	
	/**
	 * Hijack the saving of page on front setting to save the activity stream setting
	 *
	 * @param $string $oldvalue Previous value of get_option( 'page_on_front' )
	 * @param $string $oldvalue New value of get_option( 'page_on_front' )
	 * @return string
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_page_on_front_update( $oldvalue, $newvalue ) {
		if ( !is_admin() || !is_super_admin() )
			return false;
	
		if ( 'activity' == $_POST['page_on_front'] )
			return 'activity';
		else
			return $oldvalue;
	}
	add_action( 'pre_update_option_page_on_front', 'cc_bp_dtheme_page_on_front_update', 10, 2 );
	
	/**
	 * Load the activity stream template if settings allow
	 *
	 * @param string $template Absolute path to the page template 
	 * @return string
	 * @global WP_Query $wp_query WordPress query object
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_page_on_front_template( $template ) {
		global $wp_query;
	
		if ( empty( $wp_query->post->ID ) )
			return locate_template( array( 'activity/index.php' ), false );
		else
			return $template;
	}
	add_filter( 'page_template', 'cc_bp_dtheme_page_on_front_template' );
	
	/**
	 * Return the ID of a page set as the home page.
	 *
	 * @return false|int ID of page set as the home page
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_page_on_front() {
		if ( 'page' != get_option( 'show_on_front' ) )
			return false;
	
		return apply_filters( 'cc_bp_dtheme_page_on_front', get_option( 'page_on_front' ) );
	}
	
	/**
	 * Force the page ID as a string to stop the get_posts query from kicking up a fuss.
	 *
	 * @global WP_Query $wp_query WordPress query object
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_fix_get_posts_on_activity_front() {
		global $wp_query;
	
		if ( !empty($wp_query->query_vars['page_id']) && 'activity' == $wp_query->query_vars['page_id'] )
			$wp_query->query_vars['page_id'] = '"activity"';
	}
	add_action( 'pre_get_posts', 'cc_bp_dtheme_fix_get_posts_on_activity_front' );
	
	/**
	 * WP 3.0 requires there to be a non-null post in the posts array
	 *
	 * @param array $posts Posts as retrieved by WP_Query
	 * @global WP_Query $wp_query WordPress query object
	 * @return array
	 * @package BuddyPress Theme
	 * @since 1.2.5
	 */
	function cc_bp_dtheme_fix_the_posts_on_activity_front( $posts ) {
		global $wp_query;
	
		// NOTE: the double quotes around '"activity"' are thanks to our previous function bp_dtheme_fix_get_posts_on_activity_front()
		if ( empty( $posts ) && !empty( $wp_query->query_vars['page_id'] ) && '"activity"' == $wp_query->query_vars['page_id'] )
			$posts = array( (object) array( 'ID' => 'activity' ) );
	
		return $posts;
	}
	add_filter( 'the_posts', 'cc_bp_dtheme_fix_the_posts_on_activity_front' );
	
	/**
	 * Add secondary avatar image to this activity stream's record, if supported
	 *
	 * @param string $action The text of this activity
	 * @param BP_Activity_Activity $activity Activity object
	 * @return string
	 * @package BuddyPress Theme
	 * @since 1.2.6
	 */
	function cc_bp_dtheme_activity_secondary_avatars( $action, $activity ) {
		switch ( $activity->component ) {
			case 'groups' :
			case 'blogs' :
			case 'friends' :
				// Only insert avatar if one exists
				if ( $secondary_avatar = bp_get_activity_secondary_avatar() ) {
					$reverse_content = strrev( $action );
					$position        = strpos( $reverse_content, 'a<' );
					$action          = substr_replace( $action, $secondary_avatar, -$position - 2, 0 );
				}
				break;
		}
	
		return $action;
	}
	add_filter( 'bp_get_activity_action_pre_meta', 'cc_bp_dtheme_activity_secondary_avatars', 10, 2 );
	
	
	/**
	 * Show a notice when the theme is activated - workaround by Ozh (http://old.nabble.com/Activation-hook-exist-for-themes--td25211004.html)
	 *
	 * @package BuddyPress Theme
	 * @since 1.2
	 */
	function cc_bp_dtheme_show_notice() { ?>
		<div id="message" class="updated fade">
			<p><?php printf( __( 'Theme activated! This theme contains <a href="%s">custom header image</a> support and <a href="%s">sidebar widgets</a>.', 'buddypress' ), admin_url( 'themes.php?page=custom-header' ), admin_url( 'widgets.php' ) ) ?></p>
		</div>
	
		<style type="text/css">#message2, #message0 { display: none; }</style>
		<?php
	}
	if ( is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" )
		add_action( 'admin_notices', 'cc_bp_dtheme_show_notice' );
	
	
	// Member Buttons
	if ( bp_is_active( 'friends' ) )
		add_action( 'bp_member_header_actions',    'bp_add_friend_button' );
	
	if ( bp_is_active( 'activity' ) )
		add_action( 'bp_member_header_actions',    'bp_send_public_message_button' );
	
	if ( bp_is_active( 'messages' ) )
		add_action( 'bp_member_header_actions',    'bp_send_private_message_button' );
	
	// Group Buttons
	if ( bp_is_active( 'groups' ) ) {
		add_action( 'bp_group_header_actions',     'bp_group_join_button' );
		add_action( 'bp_group_header_actions',     'bp_group_new_topic_button' );
		add_action( 'bp_directory_groups_actions', 'bp_group_join_button' );
	}
	
	// Blog Buttons
	if ( bp_is_active( 'blogs' ) )
		add_action( 'bp_directory_blogs_actions',  'bp_blogs_visit_blog_button' );

}
?>
