/*
Theme Name: Custom Community 
Theme URI: http://konradsroka.com/2010/10/07/buddypress-custom-community-theme/
Description: Create your Buddypress community within minutes. Custom Community is a Buddypress theme that enables you to build your site with all the features you love. Easy to use jQuery Slideshow. Post template with post thumbnail integration and fancy mouse over effect. A powerful admin option page to customize every part of the theme. Clean and simple css-design. Community-navigation widget. 100% WP 3.0 compatible. Demo site: www.custom-community.themekraft.com 
Version: 1.5.5
Author: Sven Lehnert and Konrad Sroka
Author URI: http://sven-lehnert.de/en/
Tags: buddypress, dark, light, left-sidebar, right-sidebar, two-columns, three-columns, fixed-width, custom-header, custom-menu, custom-colors, custom-background, theme-options, translation-ready
License: GNU General Public License v2.0 / License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/
<style>
/** ***   
body background colour  **/

body {
<?php if($cap->bg_body_color){?>
	background:none repeat scroll 0 0 #<?php echo $cap->bg_body_color?>;
<?php };?>
} 

/** ***   
sidebar amount and position  **/
div#content .padder {
<?php if($cap->sidebar_position == "right"){?>
	margin-left:0px;
<?php };?>
<?php if($cap->sidebar_position == "left"){?>
	margin-right:0px;
<?php };?>
} 

/** ***   
font colour  **/

body, p, em, div.post, div.post p.date, div.post p.postmetadata, div.comment-meta, div.comment-options, 
div#item-header div#item-meta, ul.item-list li div.item-title span, ul.item-list li div.item-desc, 
ul.item-list li div.meta, div.item-list-tabs ul li span, span.activity, div#message p, div.widget span.activity, 
div.pagination, div#message.updated p, #subnav a, div.widget-title ul.item-list li a, 
div.post h2.pagetitle a, div.post h2.posttitle a, div#item-header span.activity, div#item-header h2 span.highlight, 
form.standard-form input:focus, form.standard-form textarea:focus, form.standard-form select:focus, table tr td.label, 
table tr td.thread-info p.thread-excerpt, table.forum td p.topic-text, table.forum td.td-freshness, form#whats-new-form, 
form#whats-new-form h5, form#whats-new-form #whats-new-textarea, .activity-list li .activity-inreplyto, 
.activity-list .activity-content .activity-header, .activity-list .activity-content .comment-header, 
.activity-list .activity-content span.time-since, .activity-list .activity-content span.activity-header-meta a, 
.activity-list .activity-content .activity-inner, .activity-list .activity-content blockquote, 
.activity-list .activity-content .comment-header, .activity-header a:hover, div.activity-comments div.acomment-meta,  
div.activity-comments form .ac-textarea, div.activity-comments form textarea, div.activity-comments form div.ac-reply-content, 
li span.unread-count, tr.unread span.unread-count, div.item-list-tabs ul li a span.unread-count, ul#topic-post-list li div.poster-meta, 
div.admin-links, div.poster-name a, div.object-name a, div.post p.date a:hover, div.post p.postmetadata a:hover, div.comment-meta a:hover, div.comment-options a:hover, 
#comments h3, #trackbacks h3, #respond h3, #footer, #footer a, div.widget ul li a, div.widget ul li.recentcomments a:hover, 
div.widget_tag_cloud a, div#item-header span.activity, div#item-header h2 span.highlight, a:hover, a:active {
<?php if($cap->font_color){?>
	color:#<?php echo $cap->font_color?>;
<?php };?>
} 
div#item-header h2 span.highlight, div.item-list-tabs ul li.selected a, div.item-list-tabs ul li.current a {
<?php if($cap->font_color){?>
	color:#<?php echo $cap->font_color?> !important;
<?php };?>
} 

/** ***   
buttons and widgets that want some adapting to the font colour  **/

div#leftsidebar h3.widgettitle, div#sidebar h3.widgettitle, 
a.button, input[type="submit"], input[type="button"], ul.button-nav li a, div.generic-button a, 
.activity-list div.activity-meta a  {
<?php if($cap->font_color){?>
	background:#<?php echo $cap->font_color?>;
<?php };?>
}  

/** ***   
title colour  **/

div.post h2.pagetitle a, div.post h2.posttitle a, 
h1, h2, h3, div#item-header h2 a {
<?php if($cap->title_color){?>
	color:#<?php echo $cap->title_color?>;
<?php };?>
}

/** ***   
link colour  **/

a, div.post p.date a, div.post p.postmetadata a, div.comment-meta a, div.comment-options a,   
.activity-list .activity-header a:first-child, span.highlight, #item-nav a, div.widget ul li a:hover {
<?php if($cap->link_color){?>
	color:#<?php echo $cap->link_color?>;
<?php };?>
}
div.widget-title ul.item-list li a:hover  {
	<?php if($cap->link_color){?>
		color:#<?php echo $cap->link_color?> !important;
	<?php };?>
}
<?php if($cap->link_color && !$cap->bg_container_color){?>
	div.widget-title ul.item-list li.selected a:hover {
		color:#<?php switch ($cap->style_css) {
		    	case 'dark': echo "181818"; break;
		    	case 'light': echo "cdcdcd"; break;
				}
?>  !important;
	}
<?php } ?> 


/** ***   
buttons and widgets that want some adapting to the link colour  **/

div.widget-title ul.item-list li.selected, 
a.button:focus, a.button:hover, input[type="submit"]:hover, input[type="button"]:hover, 
ul.button-nav li a:hover, div.generic-button a:hover, ul.button-nav li a:focus, div.generic-button a:focus, 
.activity-list div.activity-meta a.acomment-reply, 
div.activity-meta a.fav:hover, a.unfav:hover, div#item-header h2 span.highlight span {
<?php if($cap->link_color){?>
	background-color:#<?php echo $cap->link_color?> !important;
<?php };?> 
}

/** ***   
container background colour and line correction  **/

div#container, body.activity-permalink div#container {
<?php if($cap->bg_container_color ){ ?> 
	background-color: #<?php echo $cap->bg_container_color;?>; 
<?php } ?>
<?php if($cap->sidebar_position ){?>
	background-image:url("<?php bloginfo('stylesheet_directory'); ?>/images/<?php 
		if($cap->style_css == 'light' ){ echo "light/"; } 
		switch ($cap->sidebar_position) {
		    case 'left': echo "zeile-left.png"; break;
		    case 'right': echo "zeile-right.png"; break;
		    case 'left and right': echo "zeile.png"; break;
		}
}		
	?>"); 
}

/** ***   
slideshow tweaking to container background colour  **/

#slider-top {
<?php if($cap->bg_container_color ){ ?> 
	background-color: #<?php echo $cap->bg_container_color;?>; 
<?php } ?>
}

/** ***   
buttons and widgets that want some adapting to the container background colour  **/

div#leftsidebar h3.widgettitle, div#sidebar h3.widgettitle, 
a.button, input[type="submit"], input[type="button"], ul.button-nav li a, div.generic-button a, 
.activity-list div.activity-meta a.acomment-reply, 
.activity-list div.activity-meta a, div.widget-title ul.item-list li.selected a, div.widget-title ul.item-list li.selected a:hover  {
<?php if($cap->bg_container_color	){?>
	color: #<?php echo $cap->bg_container_color?> !important;
<?php };?>
}


/** ***   
header height / navigation position **/
#access {
<?php if($cap->header_height){?>
	margin-top:<?php echo $cap->header_height; ?>px;
<?php };?>
}

/** ***   
header search bar position  **/
#header #search-bar { 
<?php if($cap->searchbar_x == 'left'){?>
	left:0 !important; 
<?php };?>
<?php if($cap->searchbar_y){?>
	top:<?php echo $cap->searchbar_y; ?>px !important;
<?php };?>
}


/** ***   
menu x-position  **/
div.menu ul { 
<?php if($cap->menu_x == 'right'){?>
	float: right;
<?php };?>
}


/** ***   
menu font colour  **/

#access a, #access ul ul a, #access ul.children li.selected > a, 
#access li:hover > a, #access ul ul :hover > a, 
#access ul.children li:hover > a, #access ul.sub-menu li:hover > a, 
#access ul li.current_page_item > a, #access ul li.current-menu-ancestor > a, 
#access ul li.current-menu-item > a, #access li.selected > a, #access ul li.current-menu-parent > a  {
<?php if($cap->menue_link_color	){?>
	color: #<?php echo $cap->menue_link_color?>;
<?php };?>
}

/** ***   
menu font colour current and mouse over **/ 

#access li:hover > a, #access ul ul :hover > a, 
#access ul.children li:hover > a, #access ul.sub-menu li:hover > a, 
#access ul li.current_page_item > a, #access ul li.current-menu-ancestor > a, 
#access ul li.current_page_item > a:hover, #access ul li.current-menu-item > a:hover, 
#access ul li.current-menu-item > a, #access li.selected > a, #access ul li.current-menu-parent > a {
<?php if($cap->menue_link_color_current	){?>
	color: #<?php echo $cap->menue_link_color_current?>;
<?php };?>
} 

/** ***   
IE browser hack for menu font colour  **/ 

* html #access ul li.current_page_item a,
* html #access ul li.current-menu-ancestor a,
* html #access ul li.current-menu-item a,
* html #access ul li.current-menu-parent a,
* html #access ul li a:hover {
<?php if($cap->menue_link_color_current	){?>
	color: #<?php echo $cap->menue_link_color_current?>;
<?php };?>
} 

/** ***   
menu background colour and corner radius  **/ 

#access {
<?php if($cap->bg_menue_link_color	){?>
	background: #<?php echo $cap->bg_menue_link_color?>;
<?php };?>
<?php if($cap->menu_radius == 'all corners'){?>
	-moz-border-radius:6px;
<?php };?>
} 

/** ***   
menu background colour current  **/ 

#access ul li.current_page_item > a, #access ul li.current-menu-ancestor > a, 
#access ul li.current-menu-item > a, #access li.selected > a, #access ul li.current-menu-parent > a, 
#access ul li.current_page_item > a:hover, #access ul li.current-menu-item > a:hover,
#access ul li.current_page_item, #access ul li.current-menu-item, #access li.selected {
<?php if($cap->bg_menue_link_color_current	){?>
	background: #<?php echo $cap->bg_menue_link_color_current?>;
<?php };?>
} 

/** ***   
menu background colour hover and drop down list  **/ 

#access ul li.current_page_item a:hover, 
#access ul li.current-menu-item a:hover, 
#access li:hover > a, #access ul ul :hover > a, 
#access ul ul a {
<?php if($cap->bg_menue_link_color_hover	){?>
	background: #<?php echo $cap->bg_menue_link_color_hover?>;
<?php };?>
} 

/** ***   
menu background colour drop down menu item hover  **/ 

#access ul.children li:hover > a,
#access ul.sub-menu li:hover > a {
<?php if($cap->bg_menue_link_color_dd_hover	){?>
	background: #<?php echo $cap->bg_menue_link_color_dd_hover?> !important;
<?php };?>
} 

<?php if($cap->overwrite_css){
	echo $cap->overwrite_css;
}?>


</style>